var css = "#adw {!important; background-color:#[sapo_color_bg]; font:10px Verdana, Arial,Helvetica,sans-serif ; width:[sapo_ad_width]px; height:[sapo_ad_height]px;text-align:left ; clear:both; margin-top:2px;}"
+ "#adw a:hover {color:#[sapo_color_text];text-decoration:underline;font-weight:bold;}"
+ "#adw .title {color:#[sapo_color_link];}"

+ "#adwcont {text-align:center; vertical-align:middle;}"
+ "#adwcont .adwtext {color:#[sapo_color_text]}"
+ "#adwcont .adwtit {padding-top:6px}"
+ "#adwcont .adwtit a {color:#[sapo_color_url]; font-weight:bold; text-decoration:none}"
+ "#adwcont .adwtit a:hover .title {text-decoration:underline; color:#[sapo_color_link];}"
+ "#adwcont .adwtit a:visited {text-decoration:none;}"
+ "#adwcont .url {color:#[sapo_color_url];text-decoration:none;display:block; clear:both; font-weight:normal;}"
+ "#adwcont .url a {!important; text-decoration:none;}"
+ "#adwcont .adwtit a:hover .url {text-decoration:underline; color:#[sapo_color_url];}"

+ "#adwtop #adwleft p {padding:2px 0 2px 5px; margin:0;font:10px Verdana, Arial,Helvetica,sans-serif ;font-weight:bold;}"
+ "#adwsub p {margin:0;text-align:right;font:10px Verdana, Arial,Helvetica,sans-serif ;font-weight:bold;}"
+ "#adwsub a:hover {!important; text-decoration:underline;}"

+ "#adwtop #adwright, #adwbot, #adwcont .s {display:;}"
+ "#adwtop, #adwbot {background-color:#[sapo_color_border];}"
+ "#adwtop {text-transform: uppercase;font-weight:bold; border-top: 1px solid #[sapo_color_border]; border-left: 1px solid #[sapo_color_border] ;border-right: 1px solid #[sapo_color_border] ;}"
+ "#adwbot {text-transform: uppercase;font-weight:bold; border-bottom: 1px solid #[sapo_color_border]; border-left: 1px solid #[sapo_color_border] ;border-right: 1px solid #[sapo_color_border] ;}"
+ "#adwsub {!important text-align:right; font-weight:bold; padding:4px 2px 0 2px;border-left: 1px solid #[sapo_color_border]; border-right: 1px solid #[sapo_color_border];}"
+ "#adwsub a {color:#000; text-decoration:none}"
+ "#adwsub p {margin:0;text-align:right;font:10px Verdana, Arial,Helvetica,sans-serif ;font-weight:bold;}"
+ "#adwcont {padding: 0 6px 8px 6px; border-left: 1px solid #[sapo_color_border];border-right: 1px solid #[sapo_color_border];}"
+ "#adwcont .adwline {text-align:left;}"

+ "#bottomsapo {padding:0px; height:13px; background-color:#[sapo_color_border]; border: 1px solid #[sapo_color_border];}"
+ "#bottomsapo #anuncios {color:#[sapo_color_url];text-decoration:none;float:left;margin-left:10px; font-weight:bold;}"
+ "#bottomsapo #anuncie {color:#[sapo_color_url];text-decoration:none;float:right;margin-right:10px; font-weight:bold;}"
+ "#bottomsapo #anuncios:hover, #bottomsapo #anuncie:hover {text-decoration:underline; color:#FFF;}";

function getAdsHorizontalSize() {
	var horizontal = new Array();
	horizontal.push(new Array(728,90));
	horizontal.push(new Array(468,60));
	horizontal.push(new Array(234,60));
	horizontal.push(new Array(468,15));
	horizontal.push(new Array(728,15));
	return horizontal;
}

function getAdsVerticalSize() {
	var vertical = new Array();
	vertical.push(new Array(120,600));
	vertical.push(new Array(160,600));
	vertical.push(new Array(120,240));
	vertical.push(new Array(300,250));
	vertical.push(new Array(250,250));
	vertical.push(new Array(125,125));
	vertical.push(new Array(180,150));
	vertical.push(new Array(336,280));
	vertical.push(new Array(200,200));
	vertical.push(new Array(120,90));
	vertical.push(new Array(160,90));
	vertical.push(new Array(180,90));
	vertical.push(new Array(200,90));
	return vertical;
}

var ads_horizontal_size = getAdsHorizontalSize();
var ads_vertical_size = getAdsVerticalSize();

function format(parameter_name,parameter_value) {
	var index = 0;
	while(index >= 0){
		index = css.indexOf('['+parameter_name+']',index);
		if(index > 0)
			css = css.replace('['+parameter_name+']',parameter_value);
	}
}

/*parametros  um array que contem as variveis de formatacao escritas pelo webdesigner*/
function replaceCSSFormat(parameter_names,parameter_values) {
	for(i=0;i<parameter_names.length; i++) {
		format(parameter_names[i],parameter_values[i]);
	}
}

function sapoCSS() {
	var parameter_names = new Array('sapo_ad_width','sapo_ad_height','sapo_color_border','sapo_color_bg','sapo_color_link','sapo_color_url','sapo_color_text');
	var parameter_values = new Array(window.sapo_ad_width,window.sapo_ad_height,window.sapo_color_border,window.sapo_color_bg,window.sapo_color_link,window.sapo_color_url,window.sapo_color_text);
	replaceCSSFormat(parameter_names,parameter_values);
	
	var adwcont = document.getElementById('adwcont');
	var sapo_ad_num_elements = adwcont.getElementsByTagName('div').length/3;
	var sapo_ad_horizontal = false;
	
	for(i=0; i < ads_horizontal_size.length; ++i)
		if(ads_horizontal_size[i][0] == sapo_ad_width && ads_horizontal_size[i][1] == sapo_ad_height)
			sapo_ad_horizontal = true;
	
	if(sapo_ad_horizontal && sapo_ad_num_elements > 0) {
		var sub_width = Math.round(sapo_ad_width/sapo_ad_num_elements)-5;
		css += "#adwcont .adwline {float:left; width:"+sub_width+"px;}";
		css += "#adwcont {height:"+sapo_ad_height+"px;}";
		//falta por o css a centrar os conteudos ao centro
	}
	else {
		css += "#adwcont .adwtext {border-bottom:1px solid #"+sapo_color_bg+";}";
		//falta por o css a centrar os conteudos ao meio
	}
	
	css = "<style>"+css+"</style>";
	document.write(css);
	document.close();
}

function dropEmptyDivs() {
	var adwleft = document.getElementById('adwleft');
	if(adwleft.innerHTML == "<p></p>" || adwleft.innerHTML == "<P></P>")
		adwleft.style.display = "none";
	
	var adwright = document.getElementById('adwright');
	if(adwright.innerHTML == "&nbsp;")
		adwright.style.display = "none";
		
	var adwbot1 = document.getElementById('adwbot1');
	if(adwbot1.innerHTML == "&nbsp;")
		adwbot1.style.display = "none";
		
	var adwbot2 = document.getElementById('adwbot2');
	if(adwbot2.innerHTML == "&nbsp;")
		adwbot2.style.display = "none";
}

function designTopDiv() {
	dropEmptyDivs();
	var div = "<div id=\"bottomsapo\"><a id=\"anuncios\" href=\"http://www.anuncios.iol.pt\">An&uacute;ncios IOL</a><a id=\"anuncie\" href=\"http://www.anuncios.iol.pt\">Anuncie neste site</a></div>";
	var adw = document.getElementById('adw');
	adw.innerHTML = div+adw.innerHTML;
}

function designBottomDiv() {
	dropEmptyDivs();
	var div = "<div id=\"bottomsapo\"><a id=\"anuncios\" href=\"http://www.anuncios.iol.pt\">An&uacute;ncios IOL</a><a id=\"anuncie\" href=\"http://www.anuncios.iol.pt\">Anuncie neste site</a></div>";
	var adw = document.getElementById('adw');
	adw.innerHTML += div;
}

sapoCSS();
designTopDiv();

/*
VERTICAL E CENTRADOS NO MEIO E  ESQUERDA:
	120*600
	160*600
	120*240
	300*250
	180*150
	336*280
	200*200
	120*90
	160*90
	180*90
	200*90
	250*250
	125*125

HORIZONTAL E CENTRADOS AO CENTRO E AO TOPO:
	728*90
	468*60
	234*60
	468*15
	728*15
*/
